The POM for io.fd.vpp:vppjapi:jar:1.0.0-SNAPSHOT is missing


Edward Warnicke
 

On Tue, Feb 16, 2016 at 6:45 PM, Ni, Hongjun <hongjun.ni@...> wrote:

Hi all,

 

When I built the latest honeycomb code, I got the following WARNING and ERROR:

 

[WARNING] The POM for io.fd.vpp:vppjapi:jar:1.0.0-SNAPSHOT is missing, no dependency information available

 

[INFO] v3po-impl .......................................... FAILURE [  0.040 s]

 

[ERROR] Failed to execute goal on project v3po-impl: Could not resolve dependencies for project io.fd.honeycomb.v3po:v3po-impl:bundle:1.0.0-SNAPSHOT: Failure to find io.fd.vpp:vppjapi:jar:1.0.0-SNAPSHOT in http://nexus.opendaylight.org/content/repositories/opendaylight.snapshot/ was cached in the local repository, resolution will not be reattempted until the update interval of opendaylight-snapshot has elapsed or updates are forced

 

 

The following is the output of maven –version

[root@ honeycomb]# mvn -version

Apache Maven 3.3.3 (7994120775791599e205a5524ec3e0dfe41d4a06; 2015-04-22T19:57:37+08:00)

Maven home: /usr/share/maven-3.3.3

Java version: 1.7.0_79, vendor: Oracle Corporation

Java home: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.79-2.5.5.0.fc20.x86_64/jre

Default locale: en_US, platform encoding: UTF-8

OS name: "linux", version: "3.19.8-100.fc20.x86_64", arch: "amd64", family: "unix"

 

Could you give some advice on how to fix this issue?

 

Thanks a lot,

Hongjun


Join honeycomb-dev@lists.fd.io to automatically receive all group messages.